commit:     bad09792330fe48b3a266ca8927dc30154b7ee82
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Sat May 18 09:31:07 2024 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Fri May 24 23:35:14 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bad09792

net-misc/libteam: add 1.32

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>

Bug: https://bugs.gentoo.org/891627
Closes: https://github.com/gentoo/gentoo/pull/36730
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 net-misc/libteam/Manifest            |  1 +
 net-misc/libteam/libteam-1.32.ebuild | 62 ++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/net-misc/libteam/Manifest b/net-misc/libteam/Manifest
index deed140279eb..1eaa8b55b645 100644
--- a/net-misc/libteam/Manifest
+++ b/net-misc/libteam/Manifest
@@ -1,2 +1,3 @@
 DIST libteam-1.23.tar.gz 173445 BLAKE2B 
143e43cb092ac9aab8b152101c4c91c995436a6b02cf85fb710fa095a0bbd46fe70666149cfa9d86135b5496dd0287296e55d68f511aa5965c1d4f22f61ded57
 SHA512 
f78ceca4606b93e75fafdd97aa3cc44153fc42d31209f216c3da9c71abf38a2e4a690c71b8631ae09e02d7285d6bbd8292983fdc69eb921b0537a75558bc89f5
 DIST libteam-1.31.tar.gz 176331 BLAKE2B 
77aae059b37a018e5503642138aa469f0769d305ec2043642fb1d84ff1d05f6eb90083946ca113cf3f9c21a09a17b3fbda327b714eb96743a10e99b89d5d5c83
 SHA512 
1382cc3b0a2d0211f33e506e8a6fd8a1847398fa5bba56abfc959da70bcc8417cf1dba9e26a777da5729eb237f51a66b3f9cfa33fb830ed684aa076f4c8cec9e
+DIST libteam-1.32.tar.gz 177184 BLAKE2B 
dd3e988d52a373c3c006e749ffee35b12f7b26f0cd154479769b4426d97a23509a52d0b50430ef4220bce4ef6ee73c827b3eeb3fe28537f40f65c45fcacb18b6
 SHA512 
38a0926f22733000dedb5669e8ba29bd9bce61b00dbdc713220eee520e10ce6eb979b02408f785463cd7b61ff3e57a78b43ed6baffb305e63a0fab0883493507

diff --git a/net-misc/libteam/libteam-1.32.ebuild 
b/net-misc/libteam/libteam-1.32.ebuild
new file mode 100644
index 000000000000..23c3186d0a44
--- /dev/null
+++ b/net-misc/libteam/libteam-1.32.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools linux-info
+
+if [[ ${PV} == *9999 ]] ; then
+       EGIT_REPO_URI="https://github.com/jpirko/${PN}.git";
+       inherit git-r3
+else
+       SRC_URI="https://github.com/jpirko/libteam/archive/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+DESCRIPTION="Library and tools set for controlling team network device"
+HOMEPAGE="https://libteam.org";
+
+LICENSE="LGPL-2.1+"
+SLOT="0"
+IUSE="dbus debug examples static-libs +syslog zmq"
+
+DEPEND=">=dev-libs/jansson-2.4:=
+       dev-libs/libdaemon
+       >=dev-libs/libnl-3.2.19[utils]
+       dbus? ( sys-apps/dbus )
+       zmq? ( >=net-libs/zeromq-3.2.0 )
+       "
+
+RDEPEND="${DEPEND}
+       syslog? ( virtual/logger )"
+
+CONFIG_CHECK="~NET_TEAM ~NET_TEAM_MODE_ROUNDROBIN ~NET_TEAM_MODE_ACTIVEBACKUP 
~NET_TEAM_MODE_BROADCAST ~NET_TEAM_MODE_RANDOM ~NET_TEAM_MODE_LOADBALANCE"
+ERROR_NET_TEAM="NET_TEAM is not enabled in this kernel!
+Only >=3.3.0 kernel version support in team mode"
+
+src_prepare() {
+       default
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_enable debug) \
+               $(use_enable syslog logging) \
+               $(use_enable dbus) \
+               $(use_enable zmq)
+}
+
+src_install() {
+       default
+
+       find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+
+       insinto /etc/dbus-1/system.d
+       doins teamd/dbus/teamd.conf
+
+       if use examples; then
+               docinto examples
+               dodoc teamd/example_configs/*
+       fi
+}

Reply via email to